# New-RASAppPackage.md

## NAME

New-RASAppPackage

## SYNOPSIS

Creates an Application Package.

## SYNTAX

\*\*New-RASAppPackage -[MSIXImagePath](#msiximagepath-string) *(string)* -[PackageName](#packagename-string) *(string)* \[[DisplayName](#displayname-string) *(string)*] \[[SiteId](#siteid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Creates an Application Package.

## PARAMETERS

## SiteId (uint)

Site ID of the specified application package.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## DisplayName (string)

Display name of the new application package.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## PackageName (string)

Package name of the new application package.

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## MSIXImagePath (string)

MSIX image path of the new application package.

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

[AppPackage](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/apppackage.md)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

New-RASAppPackage -MSIXImagePath //examplePath/package.vhd -PackageName packagename -DisplayName App1

Adds the Application Package with name App1.

## RELATED LINKS

* [Set-RASAppPackage](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasapppackage.md)
* [Get-RASAppPackage](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasapppackage.md)
* [Remove-RASAppPackage](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasapppackage.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rasapppackage.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
